Package fr.gouv.vitam.metadata.rest

# Class MetadataRawResource

java.lang.Object
fr.gouv.vitam.metadata.rest.MetadataRawResource

@Path("/v1") public class MetadataRawResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataRawResource(VitamRepositoryProvider vitamRepositoryProvider)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `getBulkRawObjectGroupsByIds(com.fasterxml.jackson.databind.JsonNode body)`
  Get ObjectGroups as raw data
  `jakarta.ws.rs.core.Response`
  `getBulkRawUnitByIds(com.fasterxml.jackson.databind.JsonNode body)`
  Get Units as raw data
  `jakarta.ws.rs.core.Response`
  `getObjectGroupById(String objectGroupId)`
  Get ObjectGroup as raw data
  `jakarta.ws.rs.core.Response`
  `getUnitById(String unitId)`
  Get Unit as raw data

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataRawResource

    public MetadataRawResource(VitamRepositoryProvider vitamRepositoryProvider)
    Constructor
    Parameters:
      `vitamRepositoryProvider` - vitam repository provider

- ## Method Details

  - ### getUnitById

    @Path("/raw/units/{id_unit}") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getUnitById(@PathParam("id_unit") String unitId)
    Get Unit as raw data
    Parameters:
      `unitId` - the unit id to get
    Returns:
      `Response` contains a request response json filled with unit result

  - ### getObjectGroupById

    @Path("/raw/objectgroups/{id_og}") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getObjectGroupById(@PathParam("id_og") String objectGroupId)
    Get ObjectGroup as raw data
    Parameters:
      `objectGroupId` - the objectGroup ID to get
    Returns:
      `Response` contains a request response json filled with object group result

  - ### getBulkRawUnitByIds

    @Path("/raw/units") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getBulkRawUnitByIds(com.fasterxml.jackson.databind.JsonNode body)
    Get Units as raw data
    Returns:
      `Response` contains a request response json filled with unit result

  - ### getBulkRawObjectGroupsByIds

    @Path("/raw/objectgroups") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getBulkRawObjectGroupsByIds(com.fasterxml.jackson.databind.JsonNode body)
    Get ObjectGroups as raw data
    Returns:
      `Response` contains a request response json filled with object group result